Package org.drinkless.tdlib

# Class TdApi.BotMenuButton

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.BotMenuButton

Enclosing class:
  `TdApi`

public static class TdApi.BotMenuButton extends TdApi.Object
Describes a button to be shown instead of bot commands menu button.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `text`
  Text of the button.
  `String`
  `url`
  URL of a Web App to open when the button is pressed.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BotMenuButton()`
  Describes a button to be shown instead of bot commands menu button.
  `BotMenuButton(String text, String url)`
  Describes a button to be shown instead of bot commands menu button.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### text

    public String text
    Text of the button.

  - ### url

    public String url
    URL of a Web App to open when the button is pressed. If the link is of the type internalLinkTypeWebApp, then it must be processed accordingly. Otherwise, the link must be passed to openWebApp.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BotMenuButton

    public BotMenuButton()
    Describes a button to be shown instead of bot commands menu button.

  - ### BotMenuButton

    public BotMenuButton(String text, String url)
    Describes a button to be shown instead of bot commands menu button.
    Parameters:
      `text` - Text of the button.
      `url` - URL of a Web App to open when the button is pressed. If the link is of the type internalLinkTypeWebApp, then it must be processed accordingly. Otherwise, the link must be passed to openWebApp.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR